Update Virtual Receptionist
curl --request PATCH \
--url https://api.voxo.co/v2/admin/virtual-receptionist/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/virtual-receptionist/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/virtual-receptionist/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"timeout": 123,
"loopOnTimeout": "<string>",
"loopOnWrongKeyPress": "<string>",
"loopPlayMessageOnce": "<string>",
"allowExtensionDialing": "<string>",
"maxLoops": 123,
"enableSpeechDetect": 123,
"branch": {
"id": 123,
"name": "<string>"
},
"announcements": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"active": 123,
"tenantId": 123,
"mediaFileId": 123,
"startDate": "<string>",
"endDate": "<string>",
"order": 123
}
],
"greetingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"keyPressDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"timeoutDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}Virtual Receptionist
Update Virtual Receptionist
Update a virtual receptionist (partial update)
PATCH
/
v2
/
admin
/
virtual-receptionist
/
{id}
Update Virtual Receptionist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Body
application/json
Minimum string length:
1Required range:
x <= 20Maximum string length:
5Maximum string length:
5Maximum string length:
5Required range:
x <= 5Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
Updated virtual receptionist
Resolved branch
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?